Package org.apache.storm.generated

## Class ClusterWorkerHeartbeat

- java.lang.Object
- - org.apache.storm.generated.ClusterWorkerHeartbeat

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<ClusterWorkerHeartbeat>`, `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class ClusterWorkerHeartbeat
      extends Object
      implements org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>, Serializable, Cloneable, Comparable<ClusterWorkerHeartbeat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ClusterWorkerHeartbeat._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<ClusterWorkerHeartbeat._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterWorkerHeartbeat()` |
    `ClusterWorkerHeartbeat​(String storm_id, Map<ExecutorInfo,​ExecutorStats> executor_stats, int time_secs, int uptime_secs)` |
    `ClusterWorkerHeartbeat​(ClusterWorkerHeartbeat other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(ClusterWorkerHeartbeat other)` |
    `ClusterWorkerHeartbeat` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(ClusterWorkerHeartbeat that)` |
    `ClusterWorkerHeartbeat._Fields` | `fieldForId​(int fieldId)` |
    `Map<ExecutorInfo,​ExecutorStats>` | `get_executor_stats()` |
    `int` | `get_executor_stats_size()` |
    `String` | `get_storm_id()` |
    `int` | `get_time_secs()` |
    `int` | `get_uptime_secs()` |
    `Object` | `getFieldValue​(ClusterWorkerHeartbeat._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_executor_stats()` | Returns true if field executor_stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_storm_id()` | Returns true if field storm_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_time_secs()` | Returns true if field time_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_uptime_secs()` | Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(ClusterWorkerHeartbeat._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_executor_stats​(ExecutorInfo key, ExecutorStats val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_executor_stats​(Map<ExecutorInfo,​ExecutorStats> executor_stats)` |
    `void` | `set_executor_stats_isSet​(boolean value)` |
    `void` | `set_storm_id​(String storm_id)` |
    `void` | `set_storm_id_isSet​(boolean value)` |
    `void` | `set_time_secs​(int time_secs)` |
    `void` | `set_time_secs_isSet​(boolean value)` |
    `void` | `set_uptime_secs​(int uptime_secs)` |
    `void` | `set_uptime_secs_isSet​(boolean value)` |
    `void` | `setFieldValue​(ClusterWorkerHeartbeat._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_executor_stats()` |
    `void` | `unset_storm_id()` |
    `void` | `unset_time_secs()` |
    `void` | `unset_uptime_secs()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ClusterWorkerHeartbeat._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ClusterWorkerHeartbeat

          public ClusterWorkerHeartbeat()

    - #### ClusterWorkerHeartbeat

          public ClusterWorkerHeartbeat​(String storm_id,
                                        Map<ExecutorInfo,​ExecutorStats> executor_stats,
                                        int time_secs,
                                        int uptime_secs)

    - #### ClusterWorkerHeartbeat

          public ClusterWorkerHeartbeat​(ClusterWorkerHeartbeat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ClusterWorkerHeartbeat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`

    - #### get_storm_id

          public String get_storm_id()

    - #### set_storm_id

          public void set_storm_id​(String storm_id)

    - #### unset_storm_id

          public void unset_storm_id()

    - #### is_set_storm_id

          public boolean is_set_storm_id()

      Returns true if field storm_id is set (has been assigned a value) and false otherwise

    - #### set_storm_id_isSet

          public void set_storm_id_isSet​(boolean value)

    - #### get_executor_stats_size

          public int get_executor_stats_size()

    - #### put_to_executor_stats

          public void put_to_executor_stats​(ExecutorInfo key,
                                            ExecutorStats val)

    - #### get_executor_stats

          public Map<ExecutorInfo,​ExecutorStats> get_executor_stats()

    - #### set_executor_stats

          public void set_executor_stats​(Map<ExecutorInfo,​ExecutorStats> executor_stats)

    - #### unset_executor_stats

          public void unset_executor_stats()

    - #### is_set_executor_stats

          public boolean is_set_executor_stats()

      Returns true if field executor_stats is set (has been assigned a value) and false otherwise

    - #### set_executor_stats_isSet

          public void set_executor_stats_isSet​(boolean value)

    - #### get_time_secs

          public int get_time_secs()

    - #### set_time_secs

          public void set_time_secs​(int time_secs)

    - #### unset_time_secs

          public void unset_time_secs()

    - #### is_set_time_secs

          public boolean is_set_time_secs()

      Returns true if field time_secs is set (has been assigned a value) and false otherwise

    - #### set_time_secs_isSet

          public void set_time_secs_isSet​(boolean value)

    - #### get_uptime_secs

          public int get_uptime_secs()

    - #### set_uptime_secs

          public void set_uptime_secs​(int uptime_secs)

    - #### unset_uptime_secs

          public void unset_uptime_secs()

    - #### is_set_uptime_secs

          public boolean is_set_uptime_secs()

      Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

    - #### set_uptime_secs_isSet

          public void set_uptime_secs_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(ClusterWorkerHeartbeat._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(ClusterWorkerHeartbeat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`

    - #### isSet

          public boolean isSet​(ClusterWorkerHeartbeat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(ClusterWorkerHeartbeat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(ClusterWorkerHeartbeat other)

      Specified by:
        `compareTo` in interface `Comparable<ClusterWorkerHeartbeat>`

    - #### fieldForId

          public ClusterWorkerHeartbeat._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ClusterWorkerHeartbeat,​ClusterWorkerHeartbeat._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`